%define name 		wmnut
%define version 	0.62
%define release %mkrel 3
%define summary		A wmaker dock app that displays UPS statistics from NUT's upsd

Name: 			%{name}
Summary: 		%{summary}
Version: 		%{version}
Release: 		%{release}
License:		GPL
URL:			http://osx.freshmeat.net/projects/wmnut/
Source: 		http://wmnut.mgeups.org/files/%{name}-%{version}.tar.bz2
Patch0:         wmnut-0.62-lib64.patch
Group:			Graphical desktop/WindowMaker
BuildRequires:		nut-devel >= 2.0.0
BuildRequires:		libx11-devel libxext-devel libxml2-devel xpm-devel
BuildRoot: 		%{_tmppath}/%{name}-%{version}-buildroot

%description
A wmaker dock app that displays UPS statistics from NUT's upsd.
WMNUT monitors UPS statistics through the NUT (Network UPS Tools,
www.exploits.org/nut) framework on Linux and other systems.  This information,
presented in a nice visual format, can be invaluable on stations using an UPS.

%prep
%setup -q
%patch0 -p0 -b .lib64

%build
aclocal
automake -a
autoconf
%configure

%make

%install
[ -d %buildroot ] && rm -rf %buildroot

%makeinstall

%{__strip} %buildroot/%{_bindir}/*

install -D -m 644 icons/%{name}-mdk-16.png %buildroot%{_miconsdir}/%{name}.png
install -D -m 644 icons/%{name}-mdk-32.png %buildroot%{_iconsdir}/%{name}.png
install -D -m 644 icons/%{name}-mdk-48.png %buildroot%{_liconsdir}/%{name}.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=WMNut
Comment=UPS monitoring in a dockapp
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Monitoring;
EOF





%clean
rm -rf %buildroot

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr (-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
%_bindir/wmnut
%{_datadir}/applications/mandriva-%{name}.desktop
%_iconsdir/*
%_mandir/man1/wmnut.*



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.62-3mdv2009.0
+ Revision: 222760
- buildrequires xpm-devel
- buildrequires libxml2-devel
- buildrequires libxext-devel
- drop old menu
- kill re-definition of %%buildroot on Pixel's request
- fix man pages extension

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Aug 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/15/06 19:20:23 (56237)
- fix build on x86_64
- xdg menu

* Tue Aug 15 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/15/06 17:37:12 (56231)
Import wmnut

* Tue May 09 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.62-1mdk
- New release 0.62
- use mkrel

* Sat Jan 24 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.61-1mdk
- new release

* Tue Nov 25 2003 Marcel Pol <mpol@mandrake.org> 0.60-3mdk
- buildrequires

* Fri Nov 21 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.60-2mdk
- Add menu for kde and gnome

* Thu Nov 20 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.60-1mdk
- Initial mdk contrib
- Work on spec

* Fri Oct 17 2003 Arnaud Quette <arnaud.quette@free.fr> 0.59-1mdk
- Initial packaging.

